<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>JS HW</title>
	<link rel="stylesheet" href="css/lesson1.css">
</head>
<body>
	<script>
		/*Выполните и отобразите результат следующих операций для этих переменных:
		x += y - x++ * z ;
		z = --x - y * 5 ;
		y /= x + 5 % z;
		z - x++ + y * 5;
		x = y - x++ * z;*/

		var x = 6,
		y = 14,
		z =4,
		res;

		res = x += y - x++ * z ;
		document.write("<b>Выражение</b> \"x += y - x++ * z\" <b>будет равняться </b>" + res + "<br />");

		x = 6,
		y = 14,
		z =4;

		res = z = --x - y * 5 ;
		document.write("<b>Выражение</b> \"z = --x - y * 5\" <b>будет равняться </b>" + res + "<br />");

		x = 6,
		y = 14,
		z =4;

		res = y /= x + 5 % z;
		document.write("<b>Выражение</b> \"y /= x + 5 % z\" <b>будет равняться </b>" + res + "<br />");

		x = 6,
		y = 14,
		z =4,

		res = z - x++ + y * 5;
		document.write("<b>Выражение</b> \"z - x++ + y * 5\" <b>будет равняться </b>" + res + "<br />");

		x = 6,
		y = 14,
		z =4,

		res = x = y - x++ * z;
		document.write("<b>Выражение</b> \"x = y - x++ * z\" <b>будет равняться </b>" + res + "<br />");

	</script>
</body>
</html>